Summary: Netri system configuration framework
Name: netri
Version: %{version}
Release: 1.of
License: GPL
Group: Utilities/System
Source: http://www.openfusion.com.au/labs/dist/%{name}-%{version}.tar.gz
URL: http://www.openfusion.com.au/labs/%{name}/
Packager: Gavin Carr <gavin@openfusion.com.au>
Buildroot: %_tmppath/%{name}-%{version}
Requires: perl xsync smudge
AutoReq: no

%description
Netri is a framework for managing clusters of system configuration
files in a config tree, and pushing them out to end user systems using
rsync. It provides per-system customisation of config files on the fly
using smudge(1), and automatic service restarts using xsync(8).

%prep
%setup

%build

%install
test %{buildroot} != "/" && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/%{name} %{buildroot}/usr/bin 
mkdir -p %{buildroot}%{_libdir}/perl5/site_perl
#mkdir -p %{buildroot}/usr/share/man/man1
install -m0644 etc/* %{buildroot}%{_sysconfdir}/%{name}
install -m0755 bin/* %{buildroot}%{_bindir}
install -m0755 lib/* %{buildroot}%{_libdir}/perl5/site_perl
#pod2man --section=1 -r "%{name} %{buildroot}" doc/%{name}.pod > %{buildroot}/usr/share/man/man8/%{name}.1

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}/*
%attr(0755,-,-) %{_bindir}/*
%{_libdir}/perl5/site_perl/*
%doc README
%doc TODO

%changelog

* Fri Feb 10 2006 Gavin Carr <gavin@openfusion.com.au> - 0.3.0
- Add initial bootstrap functionality.
- Rename from nettle to netri.

* Wed Feb 08 2006 Gavin Carr <gavin@openfusion.com.au> - 0.2.0
- Add class functionality.

* Tue Feb 07 2006 Gavin Carr <gavin@openfusion.com.au> - 0.1.0
- Initial package.

